DEFINES += QT_DEPRECATED_WARNINGS _CRT_SECURE_NO_WARNINGS

HEADERS += \
    $$PWD/CAppInfo.h \
    $$PWD/CAudioPlayerProc.h \
    $$PWD/CCommonTools.h \
    $$PWD/CHttpBll.h \
    $$PWD/CHttpClient.h \
    $$PWD/CHttpInterceptor.h \
    $$PWD/CLogTrack.h \
    $$PWD/CMultiMonitorEnumerator.h \
    $$PWD/CQREncode.h \
    $$PWD/CSqlite3DBProc.h \
    $$PWD/MixerMicrophoneValue.h \
    $$PWD/QAESEncryption.h \
    $$PWD/httpDataDef.h \
    $$PWD/logproc.h \
    $$PWD/popMsgBox.h

SOURCES += \
    $$PWD/CAppInfo.cpp \
    $$PWD/CAudioPlayerProc.cpp \
    $$PWD/CCommonTools.cpp \
    $$PWD/CHttpBll.cpp \
    $$PWD/CHttpClient.cpp \
    $$PWD/CHttpInterceptor.cpp \
    $$PWD/CLogTrack.cpp \
    $$PWD/CQREncode.cpp \
    $$PWD/CSqlite3DBProc.cpp \
    $$PWD/MixerMicrophoneValue.cpp \
    $$PWD/QAESEncryption.cpp \
    $$PWD/popMsgBox.cpp


PLUGINS_DIR = C:/project/qtPlugins
OPENCV_DIR = C:/opencv342/opencv/build
OPEN_SSL_DIR = C:/project/qtPlugins/openssl-1.0.2m/build/x86

INCLUDEPATH += $$PLUGINS_DIR/curl-7.69.1/builds/x86/include \
    $$OPENCV_DIR/include \
    $$PLUGINS_DIR/sqlite3/include \
    $$PLUGINS_DIR/jsoncpp/include \
    $$PLUGINS_DIR/portaudio/portaudio/include \
    $$PLUGINS_DIR/MediaInfo/include \
    $$PLUGINS_DIR/qrencode/include \
    $$OPEN_SSL_DIR/include

LIBS += -L$$PLUGINS_DIR/curl-7.69.1/builds/x86/lib  -llibcurl \
    -L$$PLUGINS_DIR/sqlite3/lib/x86 -lsqlite3 \
    -L$$PLUGINS_DIR/quazip/lib/x86 -lquazip \
    -L$$PLUGINS_DIR/portaudio/portaudio/lib/x86 -lportaudio \
    -L$$PLUGINS_DIR/MediaInfo/lib/x86 -lMediaInfo \
    -L$$PLUGINS_DIR/qrencode/lib/x86 -lqrencode \
    -L$$OPEN_SSL_DIR/lib -llibeay32 -lssleay32 \
    -lUser32 -limm32 -lole32 -loleaut32 \
    -lws2_32 \
    -lwldap32 \
    -lwinmm \
    -lwinspool \
    -lStrmiids \
    -lversion \
    -lDbgHelp \
    -lIphlpapi



win32:CONFIG(release, debug|release):{
    LIBS +=  -L$$PLUGINS_DIR/jsoncpp/lib/x86 -llib_json \
        -L$$OPENCV_DIR/x86/lib -lopencv_world342
}
else:win32:CONFIG(debug, debug|release): {
    LIBS += -L$$PLUGINS_DIR/jsoncpp/lib/x86 -llib_jsond \
        -L$$OPENCV_DIR/x86/lib -lopencv_world342d
}

FORMS += \
    $$PWD/popMsgBox.ui

